{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.eUnset(I)V",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setNameExpression(Lorg/eclipse/uml2/uml/StringExpression;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.setIsLeaf(Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetName()V": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getTriggers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.setSource(Lorg/eclipse/uml2/uml/Vertex;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.setEffect(Lorg/eclipse/uml2/uml/Behavior;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eInternalResource()Lorg/eclipse/emf/ecore/resource/Resource$Internal;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetVisibility()V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.setTarget(Lorg/eclipse/uml2/uml/Vertex;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.setRedefinedTransition(Lorg/eclipse/uml2/uml/Transition;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.setKind(Lorg/eclipse/uml2/uml/TransitionKind;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.setContainer(Lorg/eclipse/uml2/uml/Region;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicUnset(I)V": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1
  }
}